Bug 670007 - (ghc-bloomfilter) Review Request: ghc-bloomfilter - A fast, space efficient Bloom filter implementation
Review Request: ghc-bloomfilter - A fast, space efficient Bloom filter implem...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: git-annex
  Show dependency treegraph
 
Reported: 2011-01-16 11:51 EST by Narasimhan
Modified: 2012-12-10 04:21 EST (History)
3 users (show)

See Also:
Fixed In Version: ghc-bloomfilter-1.2.6.8-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-03 18:54:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
petersen: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Narasimhan 2011-01-16 11:51:57 EST
SPEC file URL : http://narasim.fedorapeople.org/ghc-bloomfilter.spec

SRPM URL : http://narasim.fedorapeople.org/ghc-bloomfilter-1.2.6.7-1.f13.src.rpm

rpmlint output:

rpmlint  -i ghc-bloomfilter-*fc14*.rpm ../ghc-bloomfilter.spec 
ghc-bloomfilter-prof.i686: E: devel-dependency ghc-bloomfilter-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

ghc-bloomfilter-prof.i686: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghc-bloomfilter-prof.i686: W: devel-file-in-non-devel-package /usr/lib/ghc-6.12.3/bloomfilter-1.2.6.7/libHSbloomfilter-1.2.6.7_p.a
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

4 packages and 1 specfiles checked; 1 errors, 2 warnings.
Comment 1 Jens Petersen 2011-09-21 11:49:11 EDT
I am not sure what this is needed for?
Comment 2 Jens Petersen 2011-10-24 21:40:12 EDT
http://packdeps.haskellers.com/reverse/bloomfilter

Should we close this?
Comment 3 Narasimhan 2012-04-14 05:49:45 EDT
Hi Jens,
git-annex needs this now. I will update the spec file and srpm.
Comment 4 Narasimhan 2012-04-14 07:53:09 EDT
http://narasim.fedorapeople.org/ghc-bloomfilter.spec

http://narasim.fedorapeople.org/package_reviews/ghc-bloomfilter-1.2.6.8-1.fc15.src.rpm

rpmlint output:
rpmlint  -i ghc-bloomfilter-1.2.6.8-1.fc15.x86_64.rpm ghc-bloomfilter-devel-1.2.6.8-1.fc15.x86_64.rpm ghc-bloomfilter-1.2.6.8-1.fc15.src.rpm ../ghc-bloomfilter.spec 
3 packages and 1 specfiles checked; 0 errors, 0 warnings.

http://koji.fedoraproject.org/koji/taskinfo?taskID=3990656
Comment 5 Jens Petersen 2012-04-17 05:53:51 EDT
Thanks for updating the package.

> http://narasim.fedorapeople.org/ghc-bloomfilter.spec

(BTW I think you maybe forgot to upload the new .spec file.)

Here is review using the fedora-review package template.
(We should really add a haskell check module.)

Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated

==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.
[x]: MUST Package is not relocatable.
[-]: MUST Development (unversioned) .so files in -devel subpackage, if
     present.
     Note: ghc-bloomfilter-1.2.6.8-1.fc18.i686.rpm :
     /usr/lib/ghc-7.4.1/bloomfilter-1.2.6.8/libHSbloomfilter-1.2.6.8-ghc7.4.1.so
[-]: MUST Static libraries in -static subpackage, if present.


==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.

[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[-]: MUST Rpmlint output is silent.

rpmlint ghc-bloomfilter-1.2.6.8-1.fc18.src.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint ghc-bloomfilter-devel-1.2.6.8-1.fc18.i686.rpm

ghc-bloomfilter-devel.i686: W: obsolete-not-provided ghc-bloomfilter-doc
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

-- this is ok

rpmlint ghc-bloomfilter-1.2.6.8-1.fc18.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


[!]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/petersen/pkgreview/ghc-bloomfilter/670007/bloomfilter-1.2.6.7.tar.gz :
  MD5SUM this package     : None
  MD5SUM upstream package : 97ce543f074e6acca938514555a34c9a

c6bd1eec063b3142171e7fee6611df3c  bloomfilter-1.2.6.8.tar.gz

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[-]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
See: http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text

(explicitly listed now with rawhide macros)

[!]: MUST Rpmlint output is silent.

rpmlint ghc-bloomfilter-1.2.6.8-1.fc18.src.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint ghc-bloomfilter-devel-1.2.6.8-1.fc18.i686.rpm

ghc-bloomfilter-devel.i686: W: obsolete-not-provided ghc-bloomfilter-doc
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

ok, waived

rpmlint ghc-bloomfilter-1.2.6.8-1.fc18.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[!]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/petersen/pkgreview/ghc-bloomfilter/670007/bloomfilter-1.2.6.7.tar.gz :
  MD5SUM this package     : None
  MD5SUM upstream package : 97ce543f074e6acca938514555a34c9a

Looks like a fedora-review bug...

See above for correct for md5sum.

See: http://fedoraproject.org/wiki/Packaging/SourceURL
[!]: MUST Development (unversioned) .so files in -devel subpackage, if
     present.
     Note: ghc-bloomfilter-1.2.6.8-1.fc18.i686.rpm :
     /usr/lib/ghc-7.4.1/bloomfilter-1.2.6.8/libHSbloomfilter-1.2.6.8-ghc7.4.1.so
See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages

NA for ghc Haskell packages.

Generated by fedora-review 0.1.3


Package APPROVED
Comment 6 Narasimhan 2012-04-17 07:24:51 EDT
Thanks for the review. Uploaded the latest spec.

New Package SCM Request
=======================
Package Name:  ghc-bloomfilter
Short Description: A fast, space efficient Bloom filter implementation
Owners: narasim
Branches: f16 f17
InitialCC: haskell-sig
Comment 7 Jon Ciesla 2012-04-17 09:27:33 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2012-04-22 02:20:34 EDT
ghc-bloomfilter-1.2.6.8-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ghc-bloomfilter-1.2.6.8-1.fc17
Comment 9 Fedora Update System 2012-04-22 02:20:46 EDT
ghc-bloomfilter-1.2.6.8-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ghc-bloomfilter-1.2.6.8-1.fc16
Comment 10 Fedora Update System 2012-04-22 21:23:34 EDT
ghc-bloomfilter-1.2.6.8-1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 11 Fedora Update System 2012-05-03 18:54:11 EDT
ghc-bloomfilter-1.2.6.8-1.fc16 has been pushed to the Fedora 16 stable repository.
Comment 12 Fedora Update System 2012-05-04 19:06:07 EDT
ghc-bloomfilter-1.2.6.8-1.fc17 has been pushed to the Fedora 17 stable repository.
Comment 13 Jens Petersen 2012-12-06 23:59:31 EST
I like to build this also for epel6.


Package Change Request
======================
Package Name: ghc-bloomfilter
New Branches: el6
Owners: narasim petersen
InitialCC: haskell-sig
Comment 14 Jon Ciesla 2012-12-07 08:15:30 EST
Git done (by process-git-requests).
Comment 15 Fedora Update System 2012-12-10 04:21:27 EST
ghc-bloomfilter-1.2.6.10-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/ghc-bloomfilter-1.2.6.10-1.el6

Note You need to log in before you can comment on or make changes to this bug.